UpdateEndorIgnoreEntry
Updates the EndorIgnoreEntry object identified by the UUID.
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/endor-ignore-entries \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"tenant_meta": {}
},
"request": {
"force": true,
"update_mask": "<string>"
}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/endor-ignore-entries"
payload = {
"object": { "tenant_meta": {} },
"request": {
"force": True,
"update_mask": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({object: {tenant_meta: {}}, request: {force: true, update_mask: '<string>'}})
};
fetch('https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/endor-ignore-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/endor-ignore-entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'object' => [
'tenant_meta' => [
]
],
'request' => [
'force' => true,
'update_mask' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/endor-ignore-entries"
payload := strings.NewReader("{\n \"object\": {\n \"tenant_meta\": {}\n },\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/endor-ignore-entries")
.header("Content-Type", "application/json")
.body("{\n \"object\": {\n \"tenant_meta\": {}\n },\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/endor-ignore-entries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"object\": {\n \"tenant_meta\": {}\n },\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"ignore_params": {
"comments": "<string>",
"entry_id": "<string>",
"expiration_time": "2023-11-07T05:31:56Z",
"expire_if_fix_available": true,
"file_name": "<string>",
"reason": "EXCEPTION_REASON_UNSPECIFIED",
"source": "DISMISS_SOURCE_UNSPECIFIED",
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
},
"dependency_name": "<string>",
"extra_key": "<string>",
"finding_name": "<string>",
"parent_name": "<string>",
"project_uuid": "<string>",
"vuln_id": "<string>"
},
"context": {
"id": "<string>",
"type": "CONTEXT_TYPE_UNSPECIFIED",
"tags": [
"<string>"
],
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Body
Request to update an EndorIgnoreEntry object.
Represents a single entry in the ignore file.
EndorIgnoreEntry objects are created by the endorctl client after reading and processing the ignore file during the git scan, and then applied to the findings during the analytics scan.
The ignore file is either a raw list of vulnerability ids (one per line), or a YAML file that contains a list of ignore entries, each identifying one or more findings in a repository version. The file is formatted manually or via the endorctl ignore command.
Each entry must specify at least the finding name or the vulnerability ID. The more fields you provide, the more specific the ignore entry is. I.e. if you only provide the finding name and there are multiple findings with the same name in the same repository version, the ignore entry is applied to all of them. Use the endorctl ignore --finding-uuid option to automatically populate all fields of the ignore entry based on a given finding.
Show child attributes
Show child attributes
Response
A successful response.
Represents a single entry in the ignore file.
EndorIgnoreEntry objects are created by the endorctl client after reading and processing the ignore file during the git scan, and then applied to the findings during the analytics scan.
The ignore file is either a raw list of vulnerability ids (one per line), or a YAML file that contains a list of ignore entries, each identifying one or more findings in a repository version. The file is formatted manually or via the endorctl ignore command.
Each entry must specify at least the finding name or the vulnerability ID. The more fields you provide, the more specific the ignore entry is. I.e. if you only provide the finding name and there are multiple findings with the same name in the same repository version, the ignore entry is applied to all of them. Use the endorctl ignore --finding-uuid option to automatically populate all fields of the ignore entry based on a given finding.
Was this page helpful?
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/endor-ignore-entries \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"tenant_meta": {}
},
"request": {
"force": true,
"update_mask": "<string>"
}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/endor-ignore-entries"
payload = {
"object": { "tenant_meta": {} },
"request": {
"force": True,
"update_mask": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({object: {tenant_meta: {}}, request: {force: true, update_mask: '<string>'}})
};
fetch('https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/endor-ignore-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/endor-ignore-entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'object' => [
'tenant_meta' => [
]
],
'request' => [
'force' => true,
'update_mask' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/endor-ignore-entries"
payload := strings.NewReader("{\n \"object\": {\n \"tenant_meta\": {}\n },\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/endor-ignore-entries")
.header("Content-Type", "application/json")
.body("{\n \"object\": {\n \"tenant_meta\": {}\n },\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/endor-ignore-entries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"object\": {\n \"tenant_meta\": {}\n },\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"ignore_params": {
"comments": "<string>",
"entry_id": "<string>",
"expiration_time": "2023-11-07T05:31:56Z",
"expire_if_fix_available": true,
"file_name": "<string>",
"reason": "EXCEPTION_REASON_UNSPECIFIED",
"source": "DISMISS_SOURCE_UNSPECIFIED",
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
},
"dependency_name": "<string>",
"extra_key": "<string>",
"finding_name": "<string>",
"parent_name": "<string>",
"project_uuid": "<string>",
"vuln_id": "<string>"
},
"context": {
"id": "<string>",
"type": "CONTEXT_TYPE_UNSPECIFIED",
"tags": [
"<string>"
],
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}